Package fr.gouv.vitam.worker.core.validation

# Class MetadataValidationProvider

java.lang.Object
fr.gouv.vitam.worker.core.validation.MetadataValidationProvider

public final class MetadataValidationProvider extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataValidationProvider(OntologyValidator unitOntologyValidator, OntologyValidator objectGroupOntologyValidator, UnitValidator unitValidator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetadataValidationProvider`
  `getInstance()`
  `OntologyValidator`
  `getObjectGroupOntologyValidator()`
  `OntologyValidator`
  `getUnitOntologyValidator()`
  `UnitValidator`
  `getUnitValidator()`
  `void`
  `initialize(AdminManagementClientFactory adminManagementClientFactory, int ontologyCacheMaxEntries, int ontologyCacheTimeoutInSeconds, int archiveUnitProfileCacheMaxEntries, int archiveUnitProfileCacheTimeoutInSeconds, int schemaValidatorCacheMaxEntries, int schemaValidatorCacheTimeoutInSeconds)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataValidationProvider

    public MetadataValidationProvider(OntologyValidator unitOntologyValidator, OntologyValidator objectGroupOntologyValidator, UnitValidator unitValidator)

- ## Method Details

  - ### getInstance

    public static MetadataValidationProvider getInstance()

  - ### initialize

    public void initialize(AdminManagementClientFactory adminManagementClientFactory, int ontologyCacheMaxEntries, int ontologyCacheTimeoutInSeconds, int archiveUnitProfileCacheMaxEntries, int archiveUnitProfileCacheTimeoutInSeconds, int schemaValidatorCacheMaxEntries, int schemaValidatorCacheTimeoutInSeconds)

  - ### getUnitOntologyValidator

    public OntologyValidator getUnitOntologyValidator()

  - ### getObjectGroupOntologyValidator

    public OntologyValidator getObjectGroupOntologyValidator()

  - ### getUnitValidator

    public UnitValidator getUnitValidator()